﻿using System;
using System.Collections;

namespace RinGOch
{
	public class ByteArrayComparer : IComparer
	{
		public int Compare(object x, object y)
		{
			return Comparer((byte[])x,(byte[])y);
		}

		public static int Comparer(byte[] x,byte[] y)
		{
			if(x == null)
				return -1;
			if(y == null)
				return 1;

			if(x.Length > y.Length)
				return 1;
			if(x.Length < y.Length)
				return -1;

			for(int i=x.Length-1;i>=0;i--)
			{
				if(x[i] > y[i])
					return 1;
				if(x[i] < y[i])
					return -1;
			}
			return 0;
		}
	}
}
