﻿using System;
using System.Text.RegularExpressions;

namespace RinGOch
{
	/// <summary>
	/// P2PLinkReplacer の概要の説明です。
	/// </summary>
	public class P2PLinkReplacer
	{
		public static string Replace(string text)
		{
			string local = HttpHtmlGenerator.CreateLocalAddress();
			return Regex.Replace(text,
				@"(?<link>(h?ttps?://)ringoch.p2p(?<addr>[a-zA-Z0-9/_#%&+*:;~?@{}|[\]\-=,.]+))", 
				"<a href=\"" + local + "${addr}\">${link}</a>", 
				RegexOptions.IgnoreCase | RegexOptions.Singleline)
				.Replace(local + "/",local);
		}
	}
}
