using System;
using System.Threading;
using System.Diagnostics;
using System.Runtime;
using System.Runtime.InteropServices;
using System.IO;

namespace RinGOch
{
	public class WatchThread
	{
		static Thread _thread = null;
		static string _logPath = "";
		static StreamWriter _writer = null;

		public static void Start()
		{
			if(_thread == null)
			{
				_logPath = System.IO.Path.Combine(System.Environment.CurrentDirectory,"MemoryLog.log");

				_thread = new Thread(new ThreadStart(WatchProc));
				_thread.IsBackground = true;
				_thread.Start();
				_thread.Name = "RinGOch Ղh~ĎXbh";

				//new ThreadWatcher().Show();
			}
		}

		static void StartLogging()
		{
			if(_writer == null)
			{
				_writer = new StreamWriter(_logPath,true,System.Text.Encoding.Default);
			}
		}

		static void StopLogging()
		{
			if(_writer != null)
			{
				_writer.Close();
				_writer = null;
			}
		}

		public static void Stop()
		{
			try
			{
				StopLogging();
			}
			catch{}
			try
			{
				_thread.Abort();
			}
			catch{}
		}

		public static Process CurrentProcess = null;

		static void WatchProc()
		{
			Process proc = Process.GetCurrentProcess();
			CurrentProcess = proc;

			int counter = 0;
			while(true)
			{
				Thread.Sleep(1000 * 60);

				if(HttpServerSetting.MemoryCleansUpPeriodically)
				{
					// N[Abv
					GC.Collect(GC.MaxGeneration);
				}

				if(counter % 10 == 0)
				{
					if(HttpServerSetting.LoggingMemory)
					{
						StartLogging();

						_writer.WriteLine(string.Concat(
							GC.GetTotalMemory(false),",",
							proc.WorkingSet,",",
							proc.PrivateMemorySize,",",
							proc.VirtualMemorySize,",",
							proc.PagedMemorySize,",",
							proc.PagedSystemMemorySize,",",
							proc.NonpagedSystemMemorySize
							));
						_writer.Flush();
					}
					else
						StopLogging();

					counter = 0;
				}

				counter++;
			}
		}
	}
}
