using System;

namespace RinGOch.WikiEngine.LineData
{
	/// <summary>
	/// ̍s\NXł
	/// </summary>
	public class EmptyLineData : ILineData
	{
		private string _content = "";
		public EmptyLineData(string content)
		{
			_content = content;
		}
		public EmptyLineData(){}

		#region ILineData o

		public string Keyword
		{
			get
			{
				return "";
			}
		}

		public string GetOpenTag(ILineData previous)
		{
			return "";
		}

		public string GetCloseTag(ILineData next)
		{
			return "";
		}

		public string GetHeading()
		{
			return "";
		}

		public string GetContent()
		{
			return _content;
		}

		#endregion
	}
}
