using System;

namespace RinGOch.WikiEngine.LineData
{
	/// <summary>
	/// ol^Oɑ΂L[[h [+++], [++], [+] ܂ލs\NXłB
	/// </summary>
	public class OrderedListLineData : HierarchicalLineData
	{
		private const string TAG_OL = "ol";

		public OrderedListLineData(string keyword, string content) : base(keyword, content, TAG_OL)
		{}

		public override string GetContent()
		{
			return "<li>" + base._content + "</li>\r\n";
		}
	}
}
