using System;

namespace RinGOch.WikiEngine.LineData
{
	/// <summary>
	/// L[[h܂܂Ȃs\NXłB
	/// </summary>
	public class ParagraphLineData : StructuredLineData
	{
		private const string TAG_P = "p";

		public ParagraphLineData(string content,bool type) : base(string.Empty, content,(type?TAG_P:"span"),"")
		{}
		public ParagraphLineData(string content) : this(content,true)
		{}

		/// <summary>
		/// e擾܂B
		/// </summary>
		/// <returns>e</returns>
		/// <remarks>
		/// s̓e擾܂B
		/// sɕt܂B
		/// </remarks>
		public override string GetContent()
		{
			return base._content + "\r\n";
		}
	}
}
