﻿using System;
using System.IO;
using System.Collections;
using System.Collections.Specialized;

namespace RinGOch.PostProcessors
{
	public class TripGenerateProcessor
	{
		public static byte[] Process(StringDictionary param)
		{
			if(HttpServer.HasAuthority(param))
			{
				try
				{
					string key = param["privateKey"];
					if(key != null && key != "")
					{
						byte[] data = System.Text.Encoding.ASCII.GetBytes(key);
						using(FileStream fs = new FileStream(Path.Combine(Environment.CurrentDirectory,"trip\\" + Guid.NewGuid().ToString() + ".xml"),FileMode.Create))
						{
							fs.Write(data,0,data.Length);
							fs.Close();
						}
						return HttpServerSetting.HtmlEncoding.GetBytes(HttpHtmlGenerator.ReadTemplateFile("template\\gateway\\trip_generated.html")
							.Replace("%_trip%",TextUtility.XmlToTrip(key)));
					}
					else
						throw new Exception();
				}
				catch
				{
					return HttpServerSetting.HtmlEncoding.GetBytes(HttpHtmlGenerator.ReadTemplateFile("template\\gateway\\trip_error.html"));
				}
			}
			else
				throw HttpException.UnauthorizedException;
		}
	}
}
