﻿using System;
using System.Collections;
using System.Collections.Specialized;
using System.Diagnostics;
using System.Text;

namespace RinGOch.PostProcessors
{
	public class TwoChPostProcessor
	{
		public static byte[] Process(StringDictionary param)
		{
			Encoding enc = Encoding.GetEncoding("shift-jis");
			if(param["name"] == "")param["name"] = "名無し";

			try
			{
				if(Interface.CanPost())
				{
					Guid id = new Guid(param["key"]);
					WebHeaderInfo info = WebCacheReader.ReadHeader(id);
					if(info == null) throw new Exception();

					Interface.PostToBbs(info.GUID,param["from"],param["message"],"",null,"");

					return enc.GetBytes("投稿成功");
				}
				else
				{
					return enc.GetBytes("連投制限中");
				}
			}
			catch
			{
				return enc.GetBytes("エラー");
			}
		}
	}
}
