using System;

namespace RinGOch.WikiEngine.LineData
{
	/// <summary>
	/// blockquote^Oɑ΂L[[h [>>>], [>>], [>] ܂ލs\NXłB
	/// </summary>
	public class BlockquoteLineData : HierarchicalLineData
	{
		private const string TAG_BLOCKQUOTE = "blockquote";

		public BlockquoteLineData(string keyword, string content) : base(keyword.Replace("&gt;",">"), content, TAG_BLOCKQUOTE)
		{}

		public override string GetContent()
		{
			return base._content + "<br />\r\n";
		}
	}
}
