using System;

namespace RinGOch.WikiEngine.LineData.Chains
{
	public class EmptyLineChain : LineChain
	{
		public EmptyLineChain()
		{}

		protected override ILineData CreateLineData(string line)
		{
			if (line == null)
				return new EmptyLineData();
			else if(line.StartsWith("\0"))
				return new EmptyLineData(line.Substring(1));
			else
				return null;
		}
	}
}
